Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 269728 - sci-astronomy/celestia-1.5.1 failed with sys-devel/gcc-4.4.0
Summary: sci-astronomy/celestia-1.5.1 failed with sys-devel/gcc-4.4.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-05-13 17:58 UTC by Oschtan
Modified: 2009-05-24 09:41 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,52.55 KB, text/plain)
2009-05-13 17:58 UTC, Oschtan
Details
Patch allowing sci-astronomy/celestia-1.5.1 build against gcc 4.4 (celestia-1.5.1-gcc44.patch,1003 bytes, patch)
2009-05-17 15:21 UTC, Víctor Ostorga (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oschtan 2009-05-13 17:58:04 UTC
sci-astronomy/celestia-1.5.1 failed compile with sys-devel/gcc-4.4.0

Reproducible: Always




Portage 2.2_rc33 (default/linux/amd64/2008.0, gcc-4.4.0, glibc-2.9_p20081201-r2, 2.6.29-gentoo-r3 x86_64)
=================================================================
System uname: Linux-2.6.29-gentoo-r3-x86_64-AMD_Phenom-tm-_8450_Triple-Core_Processor-with-gentoo-2.0.0
Timestamp of tree: Mon, 11 May 2009 20:20:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p17-r1
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.6.2
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=amdfam10 -mtune=amdfam10"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=amdfam10 -mtune=amdfam10"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg ccache collision-protect distlocks fixpackages metadata-transfer parallel-fetch preserve-libs protect-owned sandbox sets sfperms strict unmerge-orphans userfetch"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1"
LINGUAS="ru"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
USE="3dnow 3dnowext 7zip X a52 aac aalib acl acpi additions alsa amd64 amr amrnb amrwb ao apm arts audiofile avahi bdf berkdb bindist branding bzip2 cairo cdparanoia cgi cjk clamav cleartype cli consolekit cracklib crypt dbus djvu dri dv dvd dvdr emerald enca encode exif faac faad fastcgi fbcondecor ffmpeg fontconfig fortran ftp fuse gd gecko gif gimp git glitz gphoto2 gpm gtk hal hddtemp hdri iconv imagemagick imlib isdnlog java jbig jpeg jpeg2k kde kdehiddenvisibility lame latin1 lcms lib32 libnotify lm_sensors lzma mad midi mikmod mjpeg mmx mmxext mng motif mp2 mp3 mp4 mpeg mplayer mudflap multilib multitarget mysql ncurses nls npp nptl nptlonly nsplugin oav objc objc++ objc-gc ogg openexr opengl openmp pam pcre pdf perl php png povray pppd python qt3 quicktime rar rcc readline reflection rtc samba sdl sensord session sndfile source spell spl sqlite sqlite3 srt sse sse2 ssl startup-notification subversion suid svg symlink sysfs syslog tcpd templates theora tidy tiff truetype unicode unsupported usb utempter vcd vorbis webdav-neon wmf x264 xattr xcb xcomposite xine xml xorg xpm xscreensaver xulrunner xvid yv12 zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" CAMERAS="adc65 agfa_cl20 aox barbie canon casio_qv clicksmart310 digigr8 digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 stv0674 stv0680 sx330z template toshiba_pdrm11" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Oschtan 2009-05-13 17:58:45 UTC
Created attachment 191179 [details]
build.log
Comment 2 Víctor Ostorga (RETIRED) gentoo-dev 2009-05-17 15:21:50 UTC
Created attachment 191564 [details, diff]
Patch allowing sci-astronomy/celestia-1.5.1 build against gcc 4.4
Comment 3 Oschtan 2009-05-23 16:33:35 UTC
(In reply to comment #2)
> Created an attachment (id=191564) [edit]
> Patch allowing sci-astronomy/celestia-1.5.1 build against gcc 4.4
> 

Thanks! Celestia with patch compiled successfully!
This bug is fixed!
Comment 4 Sebastian Luther (few) 2009-05-23 20:51:53 UTC
Please don't close bugs as fixed unless the fix is in portage.
Comment 5 Samuli Suominen gentoo-dev 2009-05-24 09:41:04 UTC
In portage..